{ config, lib, ... }:
{
  imports = [
    ./hardware
    ./boot

    # Apps and programs
    ../../../modules/system
    ../../../modules/system/accounts
    ../../../modules/system/desktop
    ../../../modules/system/programs
    ../../../modules/system/services

    # Devices and hardware
    ../../../modules/system/devices
    ../../../modules/system/devices/boot/lanzaboote
    ../../../modules/system/devices/networking/wireless
    ../../../modules/system/devices/networking/firewall/pc
    ../../../modules/system/devices/networking/wireguard/pc

    # Extras
    ../../../overlays
    ../../../variables
  ];

  services.keyd.keyboards.default.settings.main = {
    leftmeta = lib.mkForce "overload(control, esc)";
    leftcontrol = lib.mkForce "leftmeta";
    f13 = lib.mkForce "delete";
  };

  networking.hostName = "lacros";
  networking.wireguard.interfaces."${config.ips.wgInt}".ips = [ "${config.ips.wgSpan}.18/24" ];
}
